%define ocamlname magic-mime

Name:           ocaml-%{ocamlname}
Version:        1.1.0
Release:        1%{?dist}.emp1
Summary:        Map filenames to common MIME types
License:        ISC
URL:            https://github.com/mirage/ocaml-%{ocaml-name}
Source0:        %{ocamlname}-%{version}.tbz

Requires:  	ocaml >= 4.03.0

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.03.0
BuildRequires:  jbuilder

%description
This library contains a database of MIME types that maps filename
extensions into MIME types suitable for use in many Internet protocols
such as HTTP or e-mail.  It is generated from the `mime.types` file
found in Unix systems, but has no dependency on a filesystem since it
includes the contents of the database as an ML datastructure.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder subst
jbuilder build -p %{ocamlname}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%check
jbuilder runtest -p %{ocamlname} %{?_smp_mflags}

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
